<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CCity
{
    /**
     * @var string
     */
    private $city;

    public function getCity(): string
    {
        return $this->city;
    }

    public function withCity(string $city): CCity
    {
        $new = clone $this;
        $new->city = $city;

        return $new;
    }
}
